NamingExceptionEvent (Java SE 26 & JDK 26)
Description: declaration: module: java.naming, package: javax.naming.event, class: NamingExceptionEvent
Keywords: javax.naming.event.NamingExceptionEvent class

# Class NamingExceptionEvent

java.lang.Object
java.util.EventObject
javax.naming.event.NamingExceptionEvent

All Implemented Interfaces:
  `Serializable`

public class NamingExceptionEvent extends EventObject
This class represents an event fired when the procedures/processes used to collect information for notifying listeners of `NamingEvent`s threw a `NamingException`. This can happen, for example, if the server which the listener is using aborts subsequent to the `addNamingListener()` call.

Since:
  1.3
See Also:
  - `NamingListener.namingExceptionThrown(NamingExceptionEvent)`
  - `EventContext`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamingExceptionEvent(EventContext source, NamingException exc)`
  Constructs an instance of `NamingExceptionEvent` using the context in which the `NamingException` was thrown and the exception that was thrown.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispatch(NamingListener listener)`
  Invokes the `namingExceptionThrown()` method on a listener using this event.
  `EventContext`
  `getEventContext()`
  Retrieves the `EventContext` that fired this event.
  `NamingException`
  `getException()`
  Retrieves the exception that was thrown.

  ### Methods declared in class EventObject

  `getSource, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.
  `String`
  `toString()`
  Returns a String representation of this EventObject.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### NamingExceptionEvent

    public NamingExceptionEvent(EventContext source, NamingException exc)
    Constructs an instance of `NamingExceptionEvent` using the context in which the `NamingException` was thrown and the exception that was thrown.
    Parameters:
      `source` - The non-null context in which the exception was thrown.
      `exc` - The non-null `NamingException` that was thrown.

- ## Method Details

  - ### getException

    public NamingException getException()
    Retrieves the exception that was thrown.
    Returns:
      The exception that was thrown.

  - ### getEventContext

    public EventContext getEventContext()
    Retrieves the `EventContext` that fired this event. This returns the same object as `EventObject.getSource()`.
    Returns:
      The non-null `EventContext` that fired this event.

  - ### dispatch

    public void dispatch(NamingListener listener)
    Invokes the `namingExceptionThrown()` method on a listener using this event.
    Parameters:
      `listener` - The non-null naming listener on which to invoke the method.